ALTER TABLE APPLICATION_FORM
ADD HKID VARCHAR2(50 CHAR);

ALTER TABLE KUPCI
ADD MARITAL_STATUS VARCHAR2(3 CHAR);

ALTER TABLE KUPCI
ADD CERTIFICATE_HELD VARCHAR2(50 CHAR);

CREATE TABLE PLOVILA_LASTNIK (
    ID_PLOVILA_LASTNIK  NUMBER NOT NULL,
    ID_PLOVILA NUMBER,
    ID_LASTNIKA NUMBER,
    CONSTRAINT PK_PLOVILA_LASTNIK PRIMARY KEY (ID_PLOVILA_LASTNIK)
);

CREATE SEQUENCE PLOVILA_LASTNIK_SEQ 
MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

CREATE TABLE NNCERTIFICATES (
	SIFRA VARCHAR2(3 CHAR) NOT NULL,
	OPIS VARCHAR2(100 CHAR),
	INTERNI_OPIS VARCHAR2(100 CHAR),
	AKT VARCHAR2 (1 CHAR),
	CONSTRAINT NNCERTIFICATES_PK PRIMARY KEY (SIFRA)
);

CREATE TABLE NNACTIVITIES (
	SIFRA VARCHAR2(3 CHAR) NOT NULL,
	OPIS VARCHAR2(100 CHAR),
	INTERNI_OPIS VARCHAR2(100 CHAR),
	AKT VARCHAR2 (1 CHAR),
	CONSTRAINT NNACTIVITIES_PK PRIMARY KEY (SIFRA)
);

ALTER TABLE KUPCI ADD CARD_ISSUE DATE;

CREATE TABLE COMMITTEE_ACTIVE (
	ID_COMMITTEE NUMBER NOT NULL,
	SIFRA VARCHAR2(3 CHAR) NOT NULL,
	OPIS VARCHAR2(30 CHAR),
	INTERNI_OPIS VARCHAR2(30 CHAR),
	COMMITTEE_FROM DATE,
	COMMITTEE_TO DATE,
	AKT VARCHAR2 (1 CHAR),
	CONSTRAINT "PK_COMMITTEE_ACTIVE" PRIMARY KEY (ID_COMMITTEE),
	CONSTRAINT "FK_SIFRA" FOREIGN KEY (SIFRA) REFERENCES NNCOMMITTEES (SIFRA)
);


CREATE SEQUENCE COMMITTEE_ACTIVE_ID_SEQ 
MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

CREATE TABLE ACTIVITIES_MAIL (
	ID NUMBER NOT NULL,
	ID_KUPCA NUMBER,
	SIFRA_AKTIVNOSTI VARCHAR2(3 CHAR),
	AKT VARCHAR2 (1 CHAR),
	CONSTRAINT ACTIVITIES_MAIL_PK PRIMARY KEY (ID)
);

CREATE SEQUENCE ACTIVITIES_MAIL_ID_SEQ 
MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

CREATE TABLE MEMB_CERTIFICATES (
	ID NUMBER NOT NULL,
	ID_KUPCA NUMBER,
	SIFRA_CERTIFIKATA VARCHAR2(3 CHAR),
	AKT VARCHAR2 (1 CHAR),
	CONSTRAINT MEMB_CERTIFICATES_PK PRIMARY KEY (ID)
);

CREATE SEQUENCE MEMB_CERTIFICATES_ID_SEQ 
MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

DROP TABLE MEMB_COMMITTEES;

CREATE TABLE MEMB_COMMITTEES (
	ID NUMBER NOT NULL,
	ID_KUPCA NUMBER,
	ID_COMMITTEE NUMBER,
	SIFRA_COMM_POS VARCHAR2(3 CHAR),
	AKT VARCHAR2 (1 CHAR),
	CONSTRAINT MEMB_COMMITTEES_PK PRIMARY KEY (ID)
);

insert into verzije_baza (id, dt_vpis, verzija, ver_nr, opis) 
values 
(445, SYSDATE, '5.5', 365, 'Membership');