-- Certificates, required and earned
CREATE TABLE SC_EVENTCERT (
  ID INTEGER NOT NULL,
  SC_EVENT_ID INTEGER NOT NULL,
  SIFRA_CERTIFIKATA VARCHAR2(3) NOT NULL,
  CERTIFICATE_TYPE CHAR(1) NOT NULL
);

ALTER TABLE SC_EVENTCERT ADD CONSTRAINT SC_EVENTCERT_PK PRIMARY KEY (ID);

ALTER TABLE SC_EVENTCERT ADD CONSTRAINT SC_EVENTCERT_EV_FK FOREIGN KEY (SC_EVENT_ID) REFERENCES SC_EVENT(ID);

ALTER TABLE SC_EVENTCERT ADD CONSTRAINT SC_EVENTCERT_CERT_FK FOREIGN KEY (SIFRA_CERTIFIKATA) REFERENCES NNCERTIFICATES(SIFRA);

ALTER TABLE SC_EVENTCERT ADD CONSTRAINT SC_EVENTCERT_CTYPE CHECK(CERTIFICATE_TYPE IN ('R', 'E'));

CREATE SEQUENCE SC_EVENTCERT_SEQ START WITH 1;

insert into verzije_baza (id, dt_vpis, verzija, ver_nr, opis) 
values 
(521, SYSDATE, '5.5', 441, 'Sailing centre');