-- Popravki tabele NNLOCATION_SVG
ALTER TABLE NNLOCATION_SVG
ADD NNLOCATION_ID NUMBER;

UPDATE NNLOCATION_SVG
SET NNLOCATION_ID = (SELECT ID FROM NNLOCATION WHERE SIFRA = NNLOCATION AND AKT = 'Y');

ALTER TABLE NNLOCATION_SVG
DROP COLUMN NNLOCATION;

-- Popravki tabele NNLOCATION
ALTER TABLE NNLOCATION
DROP COLUMN SIFRA;

ALTER TABLE NNLOCATION
ADD ID_SVG_DATA NUMBER;

UPDATE NNLOCATION
SET ID_SVG_DATA = (SELECT ID_FILE_DATA FROM FILE_DATA WHERE FILE_ID = SVG_ID AND ACT = 'Y');

ALTER TABLE NNLOCATION
DROP COLUMN SVG_ID;

-- Dodatek lokacije na pomol
ALTER TABLE NNPOMOL
ADD NNLOCATION_ID NUMBER;

-- Dodatek imena datoteke na dokumente
ALTER TABLE NNLOCATION_SVG_DOC
ADD FILENAME VARCHAR2(200 CHAR);

INSERT INTO MARINA_SEQUENCES (TABLENAME, FIELDNAME, SEQUENCE_NAME, COUNTER_TYPE)
VALUES ('NNPRIVEZ', 'ID_PRIVEZ', 'NNPRIVEZ_SEQ', 'S_KLJUCI');

insert into verzije_baza (id, dt_vpis, verzija, ver_nr, opis) 
values 
(583, SYSDATE, '5.5', 503, 'Marina lokacije');