ALTER TABLE ACTIVITY
ADD COMPLETED VARCHAR2(1 CHAR);


CREATE OR REPLACE VIEW V_KUPCI_ACTIVITY
AS (
SELECT KA.ID_KUPCI_ACTIVITY, K.ID AS KUPCI_ID, K.PRIIMEK AS KUPCI_PRIIMEK, K.IME AS KUPCI_IME, K.ID_MEMBER AS KUPCI_ID_MEMBER, 
A.ID_ACTIVITY AS ID_ACTIVITY, A.DATE_FROM AS ACTIVITY_DATE_FROM, A.DATE_TO AS ACTIVITY_DATE_TO, A.ACTIVITY_TYPE, A.DESCRIPTION AS ACTIVITY_DESCRIPTION, A.STATUS AS ACTIVITY_STATUS,
A.DATE_CREATED AS ACTIVITY_DATE_CREATED, A.USER_CREATED AS ACTIVITY_USER_CREATED, A.DATE_CHANGED AS ACTIVITY_DATE_CHANGED, A.USER_CHANGED AS ACTIVITY_USER_CHANGED, A.COMPLETED AS ACTIVITY_COMPLETED,
AT.OPIS AS ACTIVITY_TYPE_OPIS, AT.INTERNI_OPIS AS ACTIVITY_TYPE_INTERNI_OPIS, AT.AKT AS ACTIVITY_TYPE_AKT
FROM KUPCI_ACTIVITY KA
JOIN KUPCI K ON K.ID = KA.ID_KUPCA
JOIN ACTIVITY A ON A.ID_ACTIVITY = KA.ID_ACTIVITY
LEFT OUTER JOIN NNACTIVITY_TYPE AT ON AT.ID_NNACTIVITY_TYPE = A.ACTIVITY_TYPE
);

ALTER TABLE KUPCI
ADD INTERESTS VARCHAR2(1000 CHAR);

ALTER TABLE KUPCI
ADD HOBBIES VARCHAR2(1000 CHAR);

ALTER TABLE PLOVILA
ADD COFFEE VARCHAR2(200 CHAR);

ALTER TABLE PLOVILA
ADD NEWSPAPER VARCHAR2(200 CHAR);

CREATE TABLE NNENGINE_TYPE (
	SIFRA VARCHAR2(3 CHAR) NOT NULL,
	OPIS VARCHAR2(100 CHAR),
	INTERNI_OPIS VARCHAR2(100 CHAR),
	CONSTRAINT NNENGINE_TYPE_PK PRIMARY KEY (SIFRA)
);

INSERT INTO NNENGINE_TYPE(SIFRA, OPIS, INTERNI_OPIS) VALUES ('SIN', 'Single', 'Single');
INSERT INTO NNENGINE_TYPE(SIFRA, OPIS, INTERNI_OPIS) VALUES ('TWI', 'Twin', 'Twin');


CREATE TABLE NNFUEL_TYPE (
	SIFRA VARCHAR2(3 CHAR) NOT NULL,
	OPIS VARCHAR2(100 CHAR),
	INTERNI_OPIS VARCHAR2(100 CHAR),
	CONSTRAINT NNFUEL_TYPE_PK PRIMARY KEY (SIFRA)
);

INSERT INTO NNFUEL_TYPE(SIFRA, OPIS, INTERNI_OPIS) VALUES ('PET', 'Petrol', 'Petrol');
INSERT INTO NNFUEL_TYPE(SIFRA, OPIS, INTERNI_OPIS) VALUES ('DIS', 'Diesel', 'Diesel');

CREATE TABLE NNPROPULSION_TYPE (
	SIFRA VARCHAR2(3 CHAR) NOT NULL,
	OPIS VARCHAR2(100 CHAR),
	INTERNI_OPIS VARCHAR2(100 CHAR),
	CONSTRAINT NNPROPULSION_TYPE_PK PRIMARY KEY (SIFRA)
);

INSERT INTO NNPROPULSION_TYPE(SIFRA, OPIS, INTERNI_OPIS) VALUES ('STD', 'Sterndrive', 'Sterndrive');
INSERT INTO NNPROPULSION_TYPE(SIFRA, OPIS, INTERNI_OPIS) VALUES ('INB', 'Inboard', 'Inboard');
INSERT INTO NNPROPULSION_TYPE(SIFRA, OPIS, INTERNI_OPIS) VALUES ('OUT', 'Outboard', 'Outboard');

ALTER TABLE PLOVILA
ADD PROPULSION_TYPE VARCHAR2(3 CHAR);

ALTER TABLE PLOVILA
ADD ENGINE_TYPE_1 VARCHAR2(3 CHAR);

ALTER TABLE PLOVILA
ADD ENGINE_TYPE_2 VARCHAR2(3 CHAR);

ALTER TABLE PLOVILA
ADD ENGINE_TYPE_3 VARCHAR2(3 CHAR);

ALTER TABLE PLOVILA
ADD ENGINE_FUEL_TYPE_1 VARCHAR2(3 CHAR);

ALTER TABLE PLOVILA
ADD ENGINE_FUEL_TYPE_2 VARCHAR2(3 CHAR);

ALTER TABLE PLOVILA
ADD ENGINE_FUEL_TYPE_3 VARCHAR2(3 CHAR);

ALTER TABLE KUPCI_VRSTA
ADD NOTE VARCHAR2(2000 CHAR);

CREATE OR REPLACE VIEW V_KUPCI_VRSTA
AS (
SELECT KV.ID_KUPCI_VRSTA, KV.ID_KUPCA, KV.VRSTA, KV.NOTE, N.OPIS AS NNVRSKUP_OPIS, N.INTERNI_OPIS AS NNVRSKUP_INTERNI_OPIS, N.VRSTA AS NNVRSKUP_VRSTA, N.ACTIVE AS NNVRSKUP_ACTIVE
FROM KUPCI_VRSTA KV
LEFT OUTER JOIN KUPCI K ON K.ID = KV.ID_KUPCA
LEFT OUTER JOIN NNVRSKUP N ON N.SIFRA = KV.VRSTA
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (641, SYSDATE, '5.5', 561, 'SP dodatki');