ALTER TABLE S_ARTIKLI
RENAME COLUMN RECIPIE TO RECIPE;

ALTER TABLE S_ARTIKLI_WAREHOUSE
ADD ID_ARTIKEL_DETAIL NUMBER;

CREATE OR REPLACE VIEW V_S_ARTIKLI_WAREHOUSE AS (
	SELECT SW.ID_ARTIKEL_WAREHOUSE, SW.ID_ARTIKEL, SW.ID_ARTIKEL_DETAIL, SW.QUANTITY, SAD.NAZIV AS ARTIKEL_DETAIL_CODE, SAD.NAZIV1 AS ARTIKEL_DETAIL_DESCRIPTION
	FROM S_ARTIKLI_WAREHOUSE SW
  LEFT OUTER JOIN S_ARTIKLI SAD ON SAD.ID_ARTIKEL = SW.ID_ARTIKEL_DETAIL
);

CREATE OR REPLACE VIEW V_S_LOKACIJE AS (
	SELECT S.ID_LOKACIJA, S.NAZIV, S.INTERNI_OPIS, S.NNLOCATION_ID, S.ID_CENTRAL, SC.NAZIV AS CENTRAL_NAZIV
	FROM S_LOKACIJE S
  LEFT OUTER JOIN S_LOKACIJE SC ON SC.ID_LOKACIJA = S.ID_CENTRAL
);

ALTER TABLE NNPOMOL
ADD SORT NUMBER;

ALTER TABLE M_DE_NA
ADD PROCENT_AVANS NUMBER;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1383, SYSDATE, '5.5', 1303, 'Warehouse')
;