CREATE TABLE HIK_CAMERA (
    HIK_CAMERA_ID INTEGER NOT NULL,
    NAME VARCHAR2(100) NOT NULL,
    BASE_URL VARCHAR2(250) NOT NULL,
    USERNAME VARCHAR2(50) NOT NULL,
    PASSWORD VARCHAR2(50),
    ACCESS_CONTROL VARCHAR2(1) NOT NULL,
    ACT VARCHAR2(1) NOT NULL
);

ALTER TABLE HIK_CAMERA ADD CONSTRAINT HIK_CAMERA_PK PRIMARY KEY (HIK_CAMERA_ID);

ALTER TABLE HIK_CAMERA ADD CONSTRAINT HIK_CAMERA_U_NAME UNIQUE (NAME);

ALTER TABLE HIK_CAMERA ADD CONSTRAINT HIK_CAMERA_U_URL UNIQUE (BASE_URL);

CREATE SEQUENCE HIK_CAMERA_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

CREATE TABLE HIK_USER (
    HIK_USER_ID INTEGER NOT NULL,
    KUPCI_ID INTEGER NOT NULL,
    EMPLOYEE_NO VARCHAR2(50) NOT NULL,
    PASSWORD VARCHAR2(50)
);

ALTER TABLE HIK_USER ADD CONSTRAINT HIK_USER_PK PRIMARY KEY (HIK_USER_ID);

ALTER TABLE HIK_USER ADD CONSTRAINT HIK_USER_U_EMPLOYEE_NO UNIQUE (EMPLOYEE_NO);

ALTER TABLE HIK_USER ADD CONSTRAINT HIK_USER_U_KUPCI UNIQUE (KUPCI_ID);

ALTER TABLE HIK_USER ADD CONSTRAINT HIK_USER_KUPCI_FK FOREIGN KEY (KUPCI_ID) REFERENCES KUPCI(ID);

CREATE SEQUENCE HIK_USER_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1948, SYSDATE, '5.5', 1868, 'Hikvision')
;